Rasa x Error on reading from the event loop self pipe

@koaning

These are the steps I follwed for rasa x installation:

pip3 install --use-feature=2020-resolver rasa-x --extra-index-url https://pypi.rasa.com/simple
rasa x

Now I’m getting this error:

ERROR    asyncio  - Error on reading from the event loop self pipe
loop: <ProactorEventLoop running=True closed=False debug=False>
Traceback (most recent call last):
  File "c:\users\ap086515\anaconda3\envs\renv\lib\asyncio\windows_events.py", line 453, in finish_recv
    return ov.getresult()
OSError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\ap086515\anaconda3\envs\renv\lib\asyncio\proactor_events.py", line 768, in _loop_self_reading
    f.result()  # may raise
  File "c:\users\ap086515\anaconda3\envs\renv\lib\asyncio\windows_events.py", line 808, in _poll
    value = callback(transferred, key, ov)
  File "c:\users\ap086515\anaconda3\envs\renv\lib\asyncio\windows_events.py", line 457, in finish_recv
    raise ConnectionResetError(*exc.args)
ConnectionResetError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request
2021-05-31 15:39:11 WARNING  rasax.community.services.insights.insight_service  - No local evaluation result files found.
2021-05-31 15:39:18 ERROR    concurrent.futures  - exception calling callback for <Future at 0x210cc8ff6d0 state=finished raised gaierror>
Traceback (most recent call last):
  File "c:\users\ap086515\anaconda3\envs\renv\lib\concurrent\futures\thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "c:\users\ap086515\anaconda3\envs\renv\lib\socket.py", line 918, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 11001] getaddrinfo failed

Can you please help with this?

That’s strange. Could you give us the versions?

rasa --version

Rasa Version : 2.6.3 Minimum Compatible Version: 2.6.0 Rasa SDK Version : 2.6.0 Rasa X Version : 0.40.1 Python Version : 3.8.5 Operating System : Windows-10-10.0.19041-SP0

@koaning , any idea why I’m getting these errors and how to resolve them?

Looking at the error it seems to be a windows bug. It seems the ipython folks also ran into this issue. The issue doesn’t seem fixed but there is a suggestion that you can fix it by upgrading the prompt-toolkit library:

pip install -U prompt-toolkit

I suppose that might be worth a try. I don’t 100% know if Rasa depends on it though. But it feels like there’s a package somewhere in the chain that should be upgraded.